GDB (xrefs)

Public Member Functions | Private Attributes | List of all members
completion_match_for_lcd Class Reference

`#include "completer.h"`

## Public Member Functions
const char * | match ()
void | set_match (const char *match)
void | mark_ignored_range (const char *begin, const char *end)
const char * | finish ()
void | clear ()

## Private Attributes
const char * | m_match
std::vector< std::pair< const char *, const char * > > | m_ignored_ranges
std::string | m_finished_storage

## Detailed Description

Definition at line 134 of file completer.h.

## Member Function Documentation

## ◆ clear()

void completion_match_for_lcd::clear | ( |  | ) |
| inline

Definition at line 175 of file completer.h.

References m_ignored_ranges, and m_match.

Referenced by completion_tracker::reset_completion_match_result().

## ◆ finish()

const char* completion_match_for_lcd::finish | ( |  | ) |
| inline

Definition at line 154 of file completer.h.

References m_finished_storage, m_ignored_ranges, and m_match.

Referenced by completion_tracker::maybe_add_completion().

## ◆ mark_ignored_range()

void completion_match_for_lcd::mark_ignored_range | ( | const char * | begin,
|  | const char * | end
| ) |  |
| inline

Definition at line 146 of file completer.h.

References m_ignored_ranges.

Referenced by strncmp_iw_with_mode().

## ◆ match()

const char* completion_match_for_lcd::match | ( |  | ) |
| inline

Definition at line 138 of file completer.h.

References m_match.

Referenced by set_match().

## ◆ set_match()

void completion_match_for_lcd::set_match | ( | const char * | match | ) |
| inline

Definition at line 142 of file completer.h.

References m_match, and match().

Referenced by completion_match_result::set_match().

## Member Data Documentation

## ◆ m_finished_storage

std::string completion_match_for_lcd::m_finished_storage
| private

Definition at line 200 of file completer.h.

Referenced by finish().

## ◆ m_ignored_ranges

std::vector<std::pair<const char *, const char *> > completion_match_for_lcd::m_ignored_ranges
| private

Definition at line 196 of file completer.h.

Referenced by clear(), finish(), and mark_ignored_range().

## ◆ m_match

const char* completion_match_for_lcd::m_match
| private

Definition at line 185 of file completer.h.

Referenced by clear(), finish(), match(), and set_match().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/completer.h